Автор Тема: Обновление Iceweasel  (Прочитано 15094 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн izamoo

  • Местный житель
  • ***
  • Topic Author
  • Сообщений: 154
  • Debian 8 (stable)
Обновление Iceweasel
« : 04 Январь 2013, 18:47:42 »
Решил обновить Iceweasel. Делаю так:
1.Добавил в /etc/apt/source.list репозитории
   deb http://backports.debian.org/debian-backports squeeze-backports main
   deb http://mozilla.debian.net/ squeeze-backports iceweasel-release
2.aptitude update3.устанавливаю apt-get install -t squeeze-backports iceweasel
Все ок. Только iceweasel получился английский, ну думаю это не беда, щас руссифицирую установив пакет iceweasel-l10n-ru.

Набираю в терминале: aptitude install iceweasel-l10n-ru
И вижу:
Spoiler: ShowHide
root@debian:/home/vlad# aptitude install iceweasel-l10n-ru
Следующие НОВЫЕ пакеты будут установлены:       
  iceweasel-l10n-ru libmozjs17d{a} libnspr4{ab} xulrunner-17.0{a}
Следующие пакеты будут обновлены:
  iceweasel
1 пакетов обновлено, 4 установлено новых, 0 пакетов отмечено для удаления, и 0 пакетов не обновлено.
Необходимо получить 14,6 MB архивов. После распаковки 32,5 MB будет занято.
Следующие пакеты имеют неудовлетворённые зависимости:
  libnspr4: Конфликтует: libnspr4-0d (< 2:4.9-2~) но установлен 4.8.6-1
Следующие действия разрешат зависимости:

     Удалить следующие пакеты:                         
1)     iceweasel                                       

     Сохранить для следующих пакетов их текущие версии:
2)     iceweasel-l10n-ru [Не установлен]               
3)     libmozjs17d [Не установлен]                     
4)     libnspr4 [Не установлен]                       
5)     xulrunner-17.0 [Не установлен]                 



Принять данное решение? [Y/n/q/?]


Получается абсурд: для того что бы руссифицировать Iceweasel я должен удалить этот самый Iceweasel. Что за бред, помогите как его руссифицировать?


Сообщение объединено: 04 Январь 2013, 19:03:29
Разобрался. Зашел вот на сайт фирефокса и руссифицировал. Но мне интересно почему получается такая хрень с тем пакетом.
« Последнее редактирование: 04 Январь 2013, 19:03:29 от izamoo »
 

Оффлайн Udachnik

  • Ветеран
  • *****
  • Сообщений: 1478
Re: Обновление Iceweasel
« Ответ #1 : 04 Январь 2013, 20:05:49 »
Потому что правильно
aptitude -t squeeze-backports install iceweasel-l10n-ru
« Последнее редактирование: 04 Январь 2013, 22:58:33 от Udachnik »
 

Оффлайн izamoo

  • Местный житель
  • ***
  • Topic Author
  • Сообщений: 154
  • Debian 8 (stable)
Re: Обновление Iceweasel
« Ответ #2 : 04 Январь 2013, 20:13:21 »
Потому что правильно
aptitude -t squeeze-backports install iceweasel-l10n-ru

Спасибо, буду знать.
« Последнее редактирование: 04 Январь 2013, 22:58:51 от Udachnik »
 

Оффлайн Легас

  • Активный пользователь
  • **
  • Сообщений: 80
Re: Обновление Iceweasel
« Ответ #3 : 05 Апрель 2013, 20:41:29 »
Не буду создавать новую тему, а продолжу...
Вчера обновился iceweasel c 19.0.2 на версию 20.0, пропала руссификация. Пробовал переустановить пакет l10n, но ничиго, в чём тут дело?
 

Оффлайн calambus

  • Почетный пользователь форума
  • Старожил
  • ****
  • Сообщений: 554
  • Ушел из жизни 14.07.2013
Re: Обновление Iceweasel
« Ответ #4 : 05 Апрель 2013, 21:42:43 »
Легас , а установить русификацию на версию 20.0 отсюда как плагин пробовали ...

cinyflo

  • Гость
Re: Обновление Iceweasel
« Ответ #5 : 05 Апрель 2013, 22:00:51 »
У меня wheezy, и почему-то версия 10.
arcturus@debian:~$ iceweasel -v
Mozilla Iceweasel 10.0.12
arcturus@debian:~$
Что нужно сделать, чтобы так сильно его обновить??
 

Оффлайн calambus

  • Почетный пользователь форума
  • Старожил
  • ****
  • Сообщений: 554
  • Ушел из жизни 14.07.2013
Re: Обновление Iceweasel
« Ответ #6 : 05 Апрель 2013, 22:09:15 »
cinyflo, здесь всё описано ...

cinyflo

  • Гость
Re: Обновление Iceweasel
« Ответ #7 : 05 Апрель 2013, 22:43:39 »
http://mozilla.debian.net/
You need to add the following entry in /etc/apt/sources.list or a new file in /etc/apt/sources.list.d/:

    deb http://your-mirror.debian.org/debian experimental main

You can install it with the following commands:

    $ apt-get update
    $ apt-get install -t experimental iceweasel
aptitude update
Ошибка  http://your-mirror.debian.org experimental Release.gpg
  Не удалось найти IP-адрес для «404.is74.ru?nxhost=your-mirror.debian.org» [IP: 188.40.92.4 80]
W: Не удалось получить http://your-mirror.debian.org/debian/dists/experimental/Release.gpg: Не удалось найти IP-адрес для «404.is74.ru?nxhost=your-mirror.debian.org» [IP: 188.40.92.4 80]
W: Не удалось скачать некоторые индексные файлы. Они были проигнорированы, или вместо них использовались старые.
Так что там фигня.
 

Оффлайн easy

  • Активный пользователь
  • **
  • Сообщений: 95
  • Мурманск
Re: Обновление Iceweasel
« Ответ #8 : 05 Апрель 2013, 23:00:59 »
Так что там фигня.
your-mirror - ваше зеркало.
мое зеркало http://ftp.no.debian.org
 

cinyflo

  • Гость
Re: Обновление Iceweasel
« Ответ #9 : 05 Апрель 2013, 23:03:29 »
Оу, и как вычислить "моё" зеркало репозитория?
 

Оффлайн easy

  • Активный пользователь
  • **
  • Сообщений: 95
  • Мурманск
Re: Обновление Iceweasel
« Ответ #10 : 05 Апрель 2013, 23:07:54 »
Оу, и как вычислить "моё" зеркало репозитория?
http://nix-sa.blogspot.ru/2011/01/debian.html
 

cinyflo

  • Гость
Re: Обновление Iceweasel
« Ответ #11 : 05 Апрель 2013, 23:10:06 »
Получилось, использовал ftp.ru. Спасибо за советы и ссылку, её позже поизучаю. =)
 

Оффлайн vladimir_ar

  • Ветеран
  • *****
  • Сообщений: 1624
Re: Обновление Iceweasel
« Ответ #12 : 06 Апрель 2013, 00:15:28 »
Вчера обновился iceweasel c 19.0.2 на версию 20.0, пропала руссификация. Пробовал переустановить пакет l10n, но ничиго, в чём тут дело?
Обновил только что из experimental - все нормально, русский.
Debian Testing, kernel 3.16-2-amd64, OpenBox
AMD A8-3750 / 16Gb RAM / ATI HD6550D (onboard) / Sound ASUS Xonar - DS
_______________________________
Debian Testing, kernel 3.14-2-amd64, OpenBox
HP-655 AMD E1 / 8Gb RAM / ATI HD7310M
 

Оффлайн Легас

  • Активный пользователь
  • **
  • Сообщений: 80
Re: Обновление Iceweasel
« Ответ #13 : 06 Апрель 2013, 08:27:57 »
Легас , а установить русификацию на версию 20.0 отсюда как плагин пробовали ...

- да я так уже делал,  что-то  я всё время на seamonkey попадал почему-то ???. Сейчас всё нормально, спасибки!!!

Кстати, хотелось бы уточнить...  Я вот пробовал через основные настройки самого браузера локаль устанавливать, добавляешь русский - хотя по идее он должен устанавливаться, но всё равно оставался английский - с чем такое связано интересно?


Сообщение объединено: 06 Апрель 2013, 08:37:36
Вчера обновился iceweasel c 19.0.2 на версию 20.0, пропала руссификация. Пробовал переустановить пакет l10n, но ничиго, в чём тут дело?
Обновил только что из experimental - все нормально, русский.

а есть ли смысл ставить experimenta на squeeze
« Последнее редактирование: 06 Апрель 2013, 08:37:36 от Легас »
 

Оффлайн calambus

  • Почетный пользователь форума
  • Старожил
  • ****
  • Сообщений: 554
  • Ушел из жизни 14.07.2013
Re: Обновление Iceweasel
« Ответ #14 : 06 Апрель 2013, 09:25:44 »
Цитировать
Автор: Легас
а есть ли смысл ставить experimenta на squeeze ?
Вот в этом вся заморочка , чтобы установить самую новую версию Iceweasel , приходится исполнять танец с бубном ...

Теги:
 

Обновление до 6.01 [РЕШЕНО]

Автор alastor

Ответов: 7
Просмотров: 2858
Последний ответ 29 Апрель 2011, 23:47:06
от alastor
Обновление до Debian 'stretch'

Автор Лесьяр

Ответов: 32
Просмотров: 8145
Последний ответ 12 Октябрь 2017, 18:08:09
от R0Ver
Устаревшая видеокарта и Jessie. Частичное обновление.

Автор EVasilyev

Ответов: 18
Просмотров: 3198
Последний ответ 28 Май 2015, 12:55:59
от EVasilyev
Вопрос про 8 DVD + 2 диска на обновление.

Автор mhn

Ответов: 3
Просмотров: 2096
Последний ответ 12 Июль 2011, 00:09:57
от paulcarroty
Обновление системы root постоянно просит. Debian Jessie KDE.

Автор serke7771

Ответов: 9
Просмотров: 1785
Последний ответ 29 Январь 2018, 12:09:55
от serke7771